
Redmine - Defect #26364

Sort is not reflected when export CSV of issues list

2017-07-06 00:43 - Tatsuya Saito

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version: 3.4.1   

Resolution: Fixed Affected version: 3.4.0

Description

Sort is not reflected when export CSV of issues list on 3.4.0.

Steps to reproduce it:

1. Open issues page.

2. Sort Priority column.

3. Export CSV.

I attach a patch to fix it.

Related issues:

Related to Redmine - Defect #22354: Sort criteria defined in custom queries a... Closed

Associated revisions

Revision 16764 - 2017-07-06 18:52 - Jean-Philippe Lang

Sort is not reflected when export CSV of issues list (#26364).

Patch by Tatsuya Saito.

Revision 16765 - 2017-07-06 18:53 - Jean-Philippe Lang

Merged r16764 (#26364).

Revision 16769 - 2017-07-08 14:47 - Jean-Philippe Lang

Adds a UI test for #26364.

History

#1 - 2017-07-06 01:44 - Go MAEDA

- Related to Defect #22354: Sort criteria defined in custom queries are not applied when exporting to CSV added

#2 - 2017-07-06 01:57 - Go MAEDA

The line source:tags/3.4.0/app/views/issues/index.html.erb#L33 was introduced in r15298 to fix another defect #22354.

#3 - 2017-07-06 05:17 - Tatsuya Saito

Go MAEDA wrote:

The line source:tags/3.4.0/app/views/issues/index.html.erb#L33 was introduced in r15298 to fix another defect #22354.

 Thanks comment :)

I think Defect #22354 is covered by r16390 now.

#4 - 2017-07-06 09:06 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to 3.4.1

Confirmed the problem. It can be fixed by Tatsuya Saito's patch.

Setting target version to 3.4.1.
Tatsuya Saito wrote:

Go MAEDA wrote:

The line source:tags/3.4.0/app/views/issues/index.html.erb#L33 was introduced in r15298 to fix another defect #22354.

 Thanks comment :)

I think Defect #22354 is covered by r16390 now.

 Thanks, I also confirmed that problem #22354 is no longer reproducible.

#5 - 2017-07-06 18:53 - Jean-Philippe Lang

- Subject changed from Sort is not reflected when export CSV of issues list. to Sort is not reflected when export CSV of issues list

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

Files

fixes_export_csv_with_sort.diff 755 Bytes 2017-07-05 Tatsuya Saito
